<?PHP
/**
 * Constains lists for grouping colors.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Constains lists for grouping colors.
 */
final class MDConcColors implements MDImporterConcordanceListInterface {

    private const COLORS_LIST = [
        'Gelb' => 'yellow',
        'Schwarz' => 'black',
    ];

    /**
     * Require a function for getting the concordance target.
     *
     * @param string $input Input string.
     *
     * @return string
     */
    public static function getConcordanceTarget(string $input):string {

        if (!isset(self::COLORS_LIST[$input])) {
            throw new MDImporterMissingConcordance("Unknown color: " . $input);
        }

        return self::COLORS_LIST[$input];

    }
}
